#include "defines.h"

void waku3(int sx,int sy,int ex,int ey,int wcol,unsint ptrn)
/* 枠描画 V3.0 */
#if 0
int sx,sy,ex,ey; /* グラフィック座標 */
int wcol;	 /* 描画色 */
unsint ptrn;	 /* 線分パターン */
#endif
{
int i; /* shortはだめよ */
int f;
	f=(wcol&0x0f00);	// 影付き枠線モード
	wcol&=0xff;
	for (i=0;i<=1;i++) { // plane 0/1
		waku2(sx,sy,ex,ey,f|i,(wcol&(BIT0<<i)? ptrn:0x0000));
	}
}

#if 0
main()
{
	waku3(100,100,200,200,0x103,0xffff);
	waku3(300,100,500,200,0x203,0xffff);
}
#endif
